import { Logger, LoggerLevel } from './../libs/logger';
import { ElementShadow } from './element-shadow';
import { Element } from './element.interface';
import { Scene } from './scene/scene';
export declare class ElementBuilder {
    private readonly scene;
    private elem?;
    constructor(scene: Scene);
    log(level?: LoggerLevel): this;
    logger(logger?: Logger, reused?: boolean): this;
    tag(name: string): this;
    parent(g?: ElementShadow): this;
    element(ElementClazz: new (...args: any[]) => Element, ...args: any[]): this;
    build<T = Element>(): T;
}
