import { ElementBuilder } from '../element-builder';
import { ElementShadow } from '../element-shadow';
import { Element } from '../element.interface';
import { SceneProps } from './scene.props';
export declare class Scene extends ElementShadow {
    $$ignoreEvalProps: string[];
    description?: string;
    path?: string;
    encryptedPath?: string;
    content?: string;
    password?: string;
    curDir: string;
    localVars: Record<string, any>;
    protected isRoot: boolean;
    private group?;
    get elementBuilder(): ElementBuilder;
    constructor(props?: SceneProps);
    initGroup(): Promise<void>;
    exec(): Promise<ElementShadow[]>;
    dispose(): Promise<void>;
    getPath(p: string): string;
    newElement(nameOrClass: string | (new (...args: any[]) => Element), ...args: any[]): Promise<ElementShadow> | undefined;
    getVars(str: any, ctx?: any, others?: any): Promise<any>;
    setVars(varObj: any, vl: any, ctx?: any): Promise<string[] | undefined>;
    mergeVars(obj: any): void;
    private copyVarsToLocal;
    private copyVarsToGlobal;
    private getRemoteFileProps;
    private decryptContent;
    private generateEncryptedFile;
    private loadVars;
    private loadEnv;
}
